/* gvSIG. Geographic Information System of the Valencian Government
 *
 * Copyright (C) 2007-2008 Infrastructures and Transports Department
 * of the Valencian Government (CIT)
 * 
 * This program is free software; you can redistribute it and/or
 * modify it under the terms of the GNU General Public License
 * as published by the Free Software Foundation; either version 2
 * of the License, or (at your option) any later version.
 * 
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 * 
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston, 
 * MA  02110-1301, USA.
 * 
 */

package org.gvsig.fortunecookies.prov.webprovider.impl;

import java.io.BufferedReader;
import java.io.InputStreamReader;
import java.net.URL;
import java.util.regex.Pattern;

import org.gvsig.fortunecookies.lib.spi.FortuneCookieProvider;
import org.gvsig.fortunecookies.lib.spi.FortuneCookieProviderServices;
import org.gvsig.tools.service.spi.AbstractProvider;
import org.gvsig.tools.service.spi.ProviderServices;

public class FortuneCookieWebProvider extends AbstractProvider implements FortuneCookieProvider{

	public FortuneCookieWebProvider(ProviderServices providerServices) {
		super(providerServices);
	}

	public String getMessage() throws Exception {
		URL url = null;
		//url = new URL("http://www.fullerdata.com/FortuneCookie/FortuneCookie.asmx/GetFortuneCookie");
		FortuneCookieProviderServices providerServices = (FortuneCookieProviderServices)this.getProviderServices();
		url = new URL((String) providerServices.getParameters().getDynValue("URL"));
		String message_text = "";
	    BufferedReader in = new BufferedReader(new InputStreamReader(url.openStream()));
	    String str;
        // Create a pattern to match breaks
        Pattern p = Pattern.compile("\\<[^\\>]+\\>");
        String[] result = null;
        
	    while ((str = in.readLine()) != null) {
	    	result = p.split(str);
	        for (int i=0; i<result.length; i++)
	        	if(result[i].length()!=0)
	        		message_text = message_text + "\n" +result[i];
	    }
	    in.close();

		return message_text;
	}

	@Override
	public String toString() {
		return "Web provider, url="+ this.getProviderServices().getParameters().getDynValue("URL");
	}
}
